Package org.apache.tapestry5.commons.internal.util

## Class TapestryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.tapestry5.commons.internal.util.TapestryException

- All Implemented Interfaces:
    `java.io.Serializable`, `Locatable`
  Direct Known Subclasses:
    `CoercionFailedException`, `ComponentEventException`, `DifferentClassVersionsException`, `FormsRequirePostException`, `OperationException`, `RenderQueueException`, `UnknownValueException`

      public class TapestryException
      extends java.lang.RuntimeException
      implements Locatable

  Exception class used as a replacement for `RuntimeException` when the exception is related to a particular location.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TapestryException​(java.lang.String message, java.lang.Object location, java.lang.Throwable cause)` |
    `TapestryException​(java.lang.String message, java.lang.Throwable cause)` |
    `TapestryException​(java.lang.String message, Location location, java.lang.Throwable cause)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Location` | `getLocation()` | Returns the location associated with this object for error reporting purposes.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TapestryException

          public TapestryException​(java.lang.String message,
                                   java.lang.Object location,
                                   java.lang.Throwable cause)

      Parameters:
        `message` - a message (may be null)
        `location` - implements `Location` or `Locatable`
        `cause` - if not null, the root cause of the exception

    - #### TapestryException

          public TapestryException​(java.lang.String message,
                                   java.lang.Throwable cause)

      Parameters:
        `message` - a message (may be null)
        `cause` - if not null, the root cause of the exception, also used to set the location

    - #### TapestryException

          public TapestryException​(java.lang.String message,
                                   Location location,
                                   java.lang.Throwable cause)

      Parameters:
        `message` - a message (may be null)
        `location` - location to associated with the exception, or null if not known
        `cause` - if not null, the root cause of the exception

  - ### Method Detail

    - #### getLocation

          public Location getLocation()

      Description copied from interface: `Locatable`
      Returns the location associated with this object for error reporting purposes.
      Specified by:
        `getLocation` in interface `Locatable`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Throwable`